TechDraw: Nowa grupa rzutów

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page TechDraw NewProjGroup and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎polski • ‎română • ‎русский

TechDraw NewProjGroup.svg TechDraw: Nowa grupa rzutów

Lokalizacja w menu
TechDraw → Wstaw grupę rzutów
Środowisko pracy
TechDraw
Domyślny skrót
brak
Wprowadzono w wersji
-
Zobacz także
Wstaw nowy widok, Wstaw nowy przekrój


Opis

Narzędzie Grupa Rzutów tworzy rzuty z wielu widoków jednego lub więcej obiektów 3D. Można również dołączyć izometryczne widoki 4 przednich narożników.

Jeśli chcesz stworzyć tylko jeden widok, nie będzie to korzystne przy użyciu Grupy rzutów; powinieneś wtedy użyć Dodaj widok do strony. Jeśli nie chcesz używać tradycyjnego pierwszy- / ttrzeci-kąt Grupy rzutów, powinieneś użyć wielu widoków (Dodaj widok do strony) zamiast Grupy rzutów.

TechDraw ProjGroup example.png

Trzy widoki ortogonalne i jeden izometryczny widok na obiekt bryły.


Jak używać

  1. Wybierz jeden lub więcej obiektów Body i / lub Part w oknie lub drzewie 3D. Jeśli masz wiele stron rysunku w swoim dokumencie, musisz także wybrać żądaną stronę w drzewie.
  2. Naciśnij przycisk TechDraw NewProjGroup.svg Wstaw grupę rzutów.
  3. Otworzy się okno dialogowe, w którym możesz wybrać widoki, które powinny się pojawić w grupie, skalę grupy i inne parametry:

TaskProjGroup.png

Grupa rzutów Panel zadań. Centralne pole wskazuje aktualny kierunek widoku z wartościami procentowymi osi X, Y i Z.


Po utworzeniu grupy rzutów można ją przesunąć w całości, przeciągając widok centralny. Możesz również przesuwać poszczególne widoki rzutów, przeciągając je.

Właściwości

  • DataKotwiczenie: Widok centralny w grupie. Normalnie widok z przodu.
  • DataTyp rzutu: Kąt trzeci lub Kąt pierwszy.
  • DataRozmieszczenie automatyczne: Jeśli watrość to True, automatycznie rozmieszczaj poszczególne widoki. Użyj False, aby pozycjonować ręcznie.
  • DataOdstęp X: Pozioma przestrzeń między widokami przy automatycznym ustawieniu. Należy pamiętać, że Skala i rozmiar innych widoków w grupie również wpływają na odstępy.
  • DataOdstęp Y: Pionowa przestrzeń między widokami przy automatycznym ustawieniu.

Grupa Rzutów jako całość dziedziczy właściwości X, Y, Typ Skali, Skala i Obrót z widoku podstawowego.

Pojedyncze widoki w grupie dziedziczą wszystkie właściwości widoku części, ale obiekt Grupa rzutów kontroluje skalę wszystkich swoich prezentowanych widoków.

Właściwość RotationVector poszczególnych widoków w grupie jest przestarzała od wersji 0.19. Zamiast tego użyj XDirection.

Należy pamiętać, że w polu centralnym wyświetlany jest bieżący kierunek projekcji widoku głównego. Nie można go użyć do zmiany kierunku.

Tworzenie skryptów

Zobacz również: TechDraw API oraz Podstawy tworzenia skryptów FreeCAD.

Narzędzie Nowa grupa rzutów może być używane w makrach i z konsoli Python. Pełny skrypt jest dostępny w dystrybucji Source w "source-dir/src/Mod/TechDraw/TDTest/DProjGroupTest.py".

#make a page
    print("making a page")
    page = FreeCAD.ActiveDocument.addObject('TechDraw::DrawPage','Page')
    FreeCAD.ActiveDocument.addObject('TechDraw::DrawSVGTemplate','Template')
    FreeCAD.ActiveDocument.Template.Template = templateFileSpec
    FreeCAD.ActiveDocument.Page.Template = FreeCAD.ActiveDocument.Template

    #make projection group
    group = FreeCAD.ActiveDocument.addObject('TechDraw::DrawProjGroup','ProjGroup')
    rc = page.addView(group)
    group.Source = [fusion]

    #add Front(Anchor) view
    frontView = group.addProjection("Front")               ##need an Anchor

    #update group
    group.Anchor.Direction = FreeCAD.Vector(0,0,1)
    group.Anchor.RotationVector = FreeCAD.Vector(1,0,0)

    #add more projections
    leftView = group.addProjection("Left")
    topView = group.addProjection("Top")
    rightView = group.addProjection("Right")
    rearView = group.addProjection("Rear")
    BottomView = group.addProjection("Bottom")

    #remove a view from projection group
    iv = group.removeProjection("Left")

Uwaga do programowania: Przed dodaniem rzutów do grupy należy zawsze dodać Grupę rzutów do strony (np. page.addView(group)). Dzięki temu Grupa rzutów może używać domyślnych wartości parametrów pochodzących ze strony nadrzędnej.